Skip to main content
PUT
/
holidays
/
{holiday}
Feiertagskalender aktualisieren
curl --request PUT \
  --url https://{tenant}.stamp.eu/rest/holidays/{holiday} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "entries": [
    {
      "date": "2023-12-25",
      "name": "<string>",
      "half_day": true
    }
  ]
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "is_system": true,
    "source_key": "<string>",
    "entries": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "date": "2023-12-25",
        "name": "<string>",
        "half_day": true
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

holiday
string<uuid>
required

Body

application/json
name
string
required
Maximum string length: 255
entries
object[]
required
Minimum array length: 1

Response

HolidayResource

data
object
required